| GL Studio C++ Runtime API

Public Types | Public Member Functions | Public Attributes | List of all members
RSOInterface1::Event Class Reference

`#include <rso_interface_1.h>`

Inheritance diagram for RSOInterface1::Event:

## Public Types
enum | EventTypeEnum { EVENT_MOUSE = 0 , EVENT_KEYBOARD , EVENT_TIMER , EVENT_OBJECT , EVENT_KEYBOARD_UP }
enum | EventSubtypeEnum { MOUSE_DOWN = 0 , MOUSE_UP , MOUSE_MOVE , MOUSE_DRAG , MOUSE_LEAVE , MOUSE_ENTER , MOUSE_WHEEL_MINUS , MOUSE_WHEEL_PLUS }
enum | SpecialKeyState { NONE_STATE = 0 , SHIFT_STATE = 0x00010000 , CAPS_LOCK_STATE = 0x00020000 , CTRL_STATE = 0x00040000 , ALT_STATE = 0x00080000 , NUM_LOCK_STATE = 0x00100000 , META_STATE = 0x00400000 , SCROLL_LOCK_STATE = 0x00800000 , BUTTON1_STATE = 0x01000000 , BUTTON2_STATE = 0x02000000 , BUTTON3_STATE = 0x04000000 }

## Public Member Functions
unsigned short | EventType ()
void | EventType (unsigned short value)
unsigned short | EventSubType ()
void | EventSubType (unsigned short value)

## Public Attributes
unsigned short | _eventType
unsigned short | _eventSubtype

## Detailed Description

Base class for events

## Member Enumeration Documentation

## ◆ EventSubtypeEnum

enum EventSubtypeEnum

Event Subtype Enum

Enumerator
MOUSE_DOWN | A Mouse button was pushed down
MOUSE_UP | A Mouse button was released
MOUSE_MOVE | The mouse moved
MOUSE_DRAG | The mouse moved while a button was held down
MOUSE_LEAVE | The mouse exited the object
MOUSE_ENTER | The mouse entered the object
MOUSE_WHEEL_MINUS | The mouse wheel was turned in the negative direction
MOUSE_WHEEL_PLUS | The mouse wheel was turned in the positive direction

## ◆ EventTypeEnum

enum EventTypeEnum

Event Type Enum

Enumerator
EVENT_MOUSE | A Mouse (or touch screen) event
EVENT_KEYBOARD | A Keyboard event
EVENT_TIMER | Unused
EVENT_OBJECT | An event emitted by an object
EVENT_KEYBOARD_UP | A Keyboard up event (uses KeyboardEvent class)

## ◆ SpecialKeyState

enum SpecialKeyState

Special Key State

## Member Function Documentation

## ◆ EventSubType() [1/2]

unsigned short EventSubType | ( |  | ) |
| inline

Returns
  The subtype of this event.

## ◆ EventSubType() [2/2]

void EventSubType | ( | unsigned short | value | ) |
| inline

Set the secondary type of this event. i.e. MOUSE_DOWN

Parameters

  value | The new secondary type to set.

## ◆ EventType() [1/2]

unsigned short EventType | ( |  | ) |
| inline

Returns
  The type of this event.

## ◆ EventType() [2/2]

void EventType | ( | unsigned short | value | ) |
| inline

Set the primary type of this event. i.e. EVENT_MOUSE

Parameters

  value | The new primary type to set.

## Member Data Documentation

## ◆ _eventSubtype

unsigned short _eventSubtype

Minor event code. see EventSubtypeEnum

## ◆ _eventType

unsigned short _eventType

Major event code. see EventTypeEnum

The documentation for this class was generated from the following file:

- rso_interface_1.h